Bug 1717670 - python-sphinx FTBFS in Fedora rawhide since texlive-base 7:20190410-1
Summary: python-sphinx FTBFS in Fedora rawhide since texlive-base 7:20190410-1
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sphinx
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On: 1715698
Blocks: F31FTBFS PYTHON38 1732841
TreeView+ depends on / blocked
 
Reported: 2019-06-05 22:07 UTC by Miro Hrončok
Modified: 2019-07-31 22:40 UTC (History)
6 users (show)

Fixed In Version: texlive-2018-26.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-04 15:11:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-06-05 22:07:15 UTC
Description of problem:
Package python-sphinx fails to build from source in Fedora rawhide.

It seems this has been happening since texlive-base was updated from 7:20180414-35.fc31 to 7:20190410-1.fc31.

Version-Release number of selected component (if applicable):
2.0.1-1.fc31

Steps to Reproduce:
koji build --scratch f31 python-sphinx-2.0.1-1.fc31.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/python-sphinx

This is LuaTeX, Version 1.10.0 (TeX Live 2019) 
 restricted system commands enabled.
(./lualatex/sphinxtests.tex
LaTeX2e <2018-12-01>

luaotfload | main : initialization completed in 0.052 seconds
(/usr/share/texlive/texmf-dist/tex/generic/luatex85/luatex85.sty)
(./sphinxmanual.cls
Document Class: sphinxmanual 2018/12/23 v2.0 Document class (Sphinx manual)
(/usr/share/texlive/texmf-dist/tex/latex/base/report.cls
Document Class: report 2018/09/03 v1.4i Standard LaTeX document class
(/usr/share/texlive/texmf-dist/tex/latex/base/size10.clo
luaotfload | db : Font names database not found, generating new one.
luaotfload | db : This can take several minutes; please be patient.
luaotfload | db : Reload initiated (formats: otf,ttf,ttc); reason: "File not found: lmroman10-regular.".
! Font \TU/lmr/m/n/10=[lmroman10-regular]:+tlig; at 10pt not loadable: metric d
ata not found or bad.
<to be read again> 
relax 
l.54 \normalsize
              
 276 words of node memory still in use:
   1 dir, 3 kern, 1 glyph, 1 attribute, 35 glue_spec, 1 attribute_list, 2 if_st
ack nodes
   avail lists: 2:8,3:1,4:1,5:1
!  ==> Fatal error occurred, no output PDF file produced!
Transcript written on sphinxtests.log.

This blocks the Python 3.8 rebuild.

Comment 1 Miro Hrončok 2019-06-05 22:08:32 UTC
Tom, would you be able to help? Is this a texlive bug or a dependency missing? Thanks

Comment 2 Miro Hrončok 2019-06-22 23:01:14 UTC
The main problem has been fixed in tex, however, we still have a nontex failure:



=================================== FAILURES ===================================
_______________________ test_correct_year[expect_date1] ________________________
expect_date = '2006-2011', app = <SphinxTestApp buildername='html'>
    @pytest.mark.sphinx('html', testroot='correct-year')
    def test_correct_year(expect_date, app):
        app.build()
        content = (app.outdir / 'index.html').text()
>       assert expect_date in content
BUILDSTDERR: E       assert '2006-2011' in 'error: Bad exit status from /var/tmp/rpm-tmp.dSktEJ (%check)
BUILDSTDERR:     extra tokens at the end of %endif directive in line 358:  %endif # with tests
BUILDSTDERR:     Bad exit status from /var/tmp/rpm-tmp.dSktEJ (%check)
\n<!DOCTYPE html>\n\n<html xmlns="http://www.w3.org/1999/xhtml">\n  <head>\n    <meta charset="utf-8" />\n    <title>...ref="_sources/index.rst.txt"\n          rel="nofollow">Page source</a>\n    </div>\n\n    \n\n    \n  </body>\n</html>'
tests/test_correct_year.py:36: AssertionError
--------------------------- Captured stdout teardown ---------------------------
# testroot: root
# builder: html
# srcdir: /tmp/pytest-of-mockbuild/pytest-0/correct-year
# outdir: /tmp/pytest-of-mockbuild/pytest-0/correct-year/_build/html
# status: 
Running Sphinx v2.0.1[39;49;00m
loading pickled environment... [39;49;00mdone
building [mo]: [39;49;00mtargets for 0 po files that are out of date
building [html][39;49;00m: targets for 1 source files that are out of date
updating environment: [39;49;00m0 added, 0 changed, 0 removed
looking for now-outdated files... [39;49;00mnone found
preparing documents... [39;49;00mdone
writing output... [39;49;00m[100%] index[39;49;00m                                                 
generating indices...[39;49;00m genindex
writing additional pages...[39;49;00m search
copying static files... [39;49;00mdone
copying extra files... [39;49;00mdone
dumping search index in English (code: en) ... [39;49;00mdone
dumping object inventory... [39;49;00mdone
build succeeded.[39;49;00m
The HTML pages are in ../../../../tmp/pytest-of-mockbuild/pytest-0/correct-year/_build/html.
# warning: 
=============================== warnings summary ===============================
tests/test_build_changes.py::test_build
tests/test_build_changes.py::test_no_changes
  /usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py:2130: RemovedInSphinx40Warning: highlightlang directive is deprecated. Please use highlight directive instead.
    result = directive_instance.run()
-- Docs: https://docs.pytest.org/en/latest/warnings.html
= 1 failed, 1215 passed, 1 skipped, 4 deselected, 2 warnings in 100.69 seconds =


This looks totally weird to me, as if the rpm stderr leaked to the test?

BUILDSTDERR: E       assert '2006-2011' in 'error: Bad exit status from /var/tmp/rpm-tmp.dSktEJ (%check)

I'll try several more times, maybe with removing the "extra token" after %endif.

Comment 3 Miro Hrončok 2019-06-22 23:10:18 UTC
The failure is now more sane:

_______________________ test_correct_year[expect_date1] ________________________
expect_date = '2006-2011', app = <SphinxTestApp buildername='html'>
    @pytest.mark.sphinx('html', testroot='correct-year')
    def test_correct_year(expect_date, app):
        app.build()
        content = (app.outdir / 'index.html').text()
>       assert expect_date in content
E       assert '2006-2011' in '\n<!DOCTYPE html>\n\n<html xmlns="http://www.w3.org/1999/xhtml">\n  <head>\n    <meta charset="utf-8" />\n    <title>...ref="_sources/index.rst.txt"\n          rel="nofollow">Page source</a>\n    </div>\n\n    \n\n    \n  </body>\n</html>'
tests/test_correct_year.py:36: AssertionError
--------------------------- Captured stdout teardown ---------------------------
# testroot: root
# builder: html
# srcdir: /tmp/pytest-of-mockbuild/pytest-0/correct-year
# outdir: /tmp/pytest-of-mockbuild/pytest-0/correct-year/_build/html
# status: 
Running Sphinx v2.0.1[39;49;00m
loading pickled environment... [39;49;00mdone
building [mo]: [39;49;00mtargets for 0 po files that are out of date
building [html][39;49;00m: targets for 1 source files that are out of date
updating environment: [39;49;00m0 added, 0 changed, 0 removed
looking for now-outdated files... [39;49;00mnone found
preparing documents... [39;49;00mdone
writing output... [39;49;00m[100%] index[39;49;00m                                                 
generating indices...[39;49;00m genindex
writing additional pages...[39;49;00m search
copying static files... [39;49;00mdone
copying extra files... [39;49;00mdone
dumping search index in English (code: en) ... [39;49;00mdone
dumping object inventory... [39;49;00mdone
build succeeded.[39;49;00m
The HTML pages are in ../../../../tmp/pytest-of-mockbuild/pytest-0/correct-year/_build/html.
# warning: 
=============================== warnings summary ===============================
tests/test_build_changes.py::test_build
tests/test_build_changes.py::test_no_changes
  /usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py:2130: RemovedInSphinx40Warning: highlightlang directive is deprecated. Please use highlight directive instead.
    result = directive_instance.run()
-- Docs: https://docs.pytest.org/en/latest/warnings.html
= 1 failed, 1215 passed, 1 skipped, 4 deselected, 2 warnings in 100.77 seconds =
RPM build errors:
BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.hwD21s (%check)
BUILDSTDERR:     Bad exit status from /var/tmp/rpm-tmp.hwD21s (%check)

Comment 4 Miro Hrončok 2019-06-23 10:17:23 UTC
https://github.com/sphinx-doc/sphinx/issues/6406

Comment 5 Miro Hrončok 2019-06-23 10:18:14 UTC
Fixed in v2.1.2  v2.1.1 v2.1.0.


Note You need to log in before you can comment on or make changes to this bug.